View Issue Details

IDProjectCategoryView StatusLast Update
0025697mantisbthtmlpublic2019-04-21 02:53
ReporterpQdAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.20.0 
Target Version2.20.1Fixed in Version2.20.1 
Summary0025697: Viewing Issues > print reports, csv export, excel export - broken links
Description

in a plain installation of 2.20.0 or right now at https://mantisbt.org/bugs/view_all_bug_page.php links are broken for those buttons: print reports, csv export, excel export

steps to reproduce:
go to https://mantisbt.org/bugs/my_view_page.php
click on the 'Unassigned'
'Print Reports' will miss a question mark and point you to https://mantisbt.org/bugs/print_all_bug_page.phpfilter=.... instead of https://mantisbt.org/bugs/print_all_bug_page.php?filter=...

simple work-around is to change view_all_inc.php from
$t_filter_param = filter_get_temporary_key_param( $t_filter );
into
$t_filter_param = '?'.filter_get_temporary_key_param( $t_filter );

thanks in advance for fixing it!

TagsNo tags attached.

Activities

dregad

dregad

2019-04-17 08:31

developer   ~0061945

Thanks for the bug report, I confirm the problem.

Related Changesets

MantisBT: master 0127d169

2019-01-05 11:18:16

cproensa


Committer: dregad Details Diff
Allow view_all_set redirect to summary_page

Implement a redirect to summary page, to create a temporary filter from
the current persistent filter, and land directly in summary page.
Affected Issues
0025697
mod - view_all_inc.php Diff File
mod - view_all_set.php Diff File

MantisBT: master-2.20 934c01d9

2019-04-17 08:49:58

dregad

Details Diff
Fix broken links on View Issues page

The print reports, csv and excel export buttons are missing the `?` in
the URL before the query parameters.

Regression introduced in 2.20.0 by 0127d169347ae30ab765d95fedcadf8eb8edbc8e.

Fixes 0025697
Affected Issues
0025697
mod - view_all_inc.php Diff File

Issue History

Date Modified Username Field Change
2019-04-17 05:10 pQd New Issue
2019-04-17 08:31 dregad Status new => confirmed
2019-04-17 08:31 dregad Note Added: 0061945
2019-04-17 09:13 dregad Changeset attached => MantisBT master-2.20 934c01d9
2019-04-17 09:13 dregad Assigned To => dregad
2019-04-17 09:13 dregad Status confirmed => resolved
2019-04-17 09:13 dregad Resolution open => fixed
2019-04-17 09:14 dregad Fixed in Version => 2.20.1
2019-04-17 09:14 dregad Target Version => 2.20.1
2019-04-17 09:16 dregad Changeset attached => MantisBT master 0127d169
2019-04-21 02:53 vboctor Status resolved => closed